Rivya AI Docs
Model API Pages

Nano Banana 2 API Integration

Nano Banana 2 کو Rivya Public API v1 کے ذریعے model id nano-banana-2، supported inputs، parameters، Files API rules، credits اور response examples کے ساتھ استعمال کریں۔

API کے ذریعے availableText یا URL ready؛ reference modes Files API استعمال کرتے ہیںتصویر
API model id

nano-banana-2

Inputs

text, file

Files API

Reference modes کے لیے required

Base credits

5

Capability

تصویر

Billing

FIXED

Prompt limit

20000 characters

Request contract

model id کو top level پر بھیجیں۔ Model-specific controls params میں رہتے ہیں۔

KeyTypeRequiredDefaultDescription
modelstringYesnano-banana-2nano-banana-2 API model id استعمال کریں۔
promptstringYes-اس model کے لیے زیادہ سے زیادہ 20000 characters۔
paramsobjectNo-Model-specific parameter object۔ allowed keys کے لیے نیچے والی rows استعمال کریں۔
client_request_idstringNo-آپ کے system میں requests trace کرنے کے لیے optional client-side id۔

Model parameters

KeyTypeRequiredDefaultRangeOptionsDescription
aspect_ratioselectNoauto-auto, 1:1, 16:9, 9:16, 3:2, 2:3, 4:3, 3:4, 5:4, 4:5, 21:9, 4:1, 1:4, 8:1, 1:8Aspect ratio
resolutionselectNo1K-1K, 2K, 4KResolution
output_formatselectNojpg-jpg, pngOutput format
google_searchselectNofalse-false, trueGoogle Search

Upload policy

Reference files پہلے upload کریں، پھر returned URL اور duration token کو params.referenceMediaItems کے اندر رکھیں۔

Reference rule

Reference image: Image projects کے لئے 14 image files تک upload کریں۔

Max files

14

Accepted file kinds

image

Duration token

duration verification required ہو تو video اور audio references کو /api/v1/files سے durationToken ساتھ رکھنا چاہیے۔

kindMax sizeMIME types
image30 MBimage/jpeg, image/png, image/webp

Minimal request

{
  "model": "nano-banana-2",
  "prompt": "A clean editorial product image on a soft studio background",
  "params": {
    "aspect_ratio": "auto",
    "resolution": "1K",
    "output_format": "jpg",
    "google_search": "false"
  }
}

Reference-file request

{
  "model": "nano-banana-2",
  "prompt": "A clean editorial product image on a soft studio background",
  "params": {
    "aspect_ratio": "auto",
    "resolution": "1K",
    "output_format": "jpg",
    "google_search": "false",
    "referenceMediaItems": [
      {
        "url": "https://cdn.example.com/reference-image.png",
        "kind": "image",
        "name": "reference-image.png",
        "mimeType": "image/png"
      }
    ]
  }
}

Create response

create endpoint ایک public task id واپس کرتا ہے۔ task succeeded یا failed ہونے تک status endpoint poll کریں۔

{
  "id": "task_nano_banana_2_example",
  "status": "queued",
  "model": "nano-banana-2",
  "reserved_credits": 5,
  "final_credits": 0,
  "created_at": "2026-05-11T00:00:00.000Z",
  "updated_at": "2026-05-11T00:00:00.000Z",
  "result": null,
  "error": null
}

Common errors

validation_failed, insufficient_credits, idempotency_conflict, rate_limited, not_found

کچھ modes کو Files API reference uploads درکار ہوتے ہیں۔